* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Playfair Display", serif;
}

.header {
    padding: 10px 0;
    position: relative;
}

.container {
    width: 100%;
    max-width: 1380px;
    margin: 0 auto;
    padding: 0px 15px;
}
#logo, .logo{
    width: 100%;
    max-width: 160px;
}
#logo img, .logo img{
    width: 100%;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: inherit;
}

.navbar h1 {
    cursor: pointer;
}

.navbar span {
    
    color: #eb2ca6;
    cursor: pointer;
}


.navbaricon a {
    letter-spacing: 1.2px;
    color: #6d6a6a;
    text-decoration: none;
    font-size: 16px;
    padding: 10px;
    font-weight: 600;
    transition: 0.3s ease;
    outline: none;
}

.navbaricon a:hover,
.navbaricon a.active {
    color: #eb2ca6;
}

.your-active-class {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background: transparent;
    backdrop-filter: blur(35px);
    transition: all 0.3s ease;
    margin: 0 auto;
}

.icons {
    position: absolute;
    right: 5%;
    display: none;
    font-size: 2rem;
    cursor: pointer;
    color: #000;
}

#check {
    display: none;
}



.servicehome {
    overflow: hidden;
    position: relative;
    background-image:
        url(./Images/servicehone.jpg);
    background-size: cover;
    background-position: center;
    min-height: 250px;
    text-align: center;
    display: flex;
    align-items: center;
}

.servicehome::before {
    position: absolute;
    background-color: rgba(0, 0, 0, 50%);
    content: '';
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;

}

.homecontent h1 {
    position: relative;
    
    font-size: 50px;
    color: #fff;
    cursor: pointer;
    text-transform: uppercase;
}

.homecontent h1::after {
    position: absolute;
    content: "";
    top: 100%;
    left: 50%;
    width: 10%;
    height: 2px;
    transform: translateX(-50%);
    background-color: #fff;

}

/* hero section */

.hero {
    background-color: #f0f8ff;
    width: 100%;
    overflow: hidden;
    padding: 70px 0;
}

.hero .flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.hero .content {
    width: 50%;
    padding-right: 20px;
}

.content h1 span {
    
    font-size: 50px;
    color: #eb2ca6;
}

.content h1 {
    
    font-size: 50px;
    color: #222;
    margin-bottom: 20px;
}

.content p {
    
    margin-bottom: 15px;
    font-size: 16px;
    color: #666;
    line-height: 25px;
}

.btn {
    padding: 15px 50px;
    font-size: 16px;
    border-radius: 30px;
    background-color: #eb2ca6;
    text-decoration: none;
    color: white;
    border-top-right-radius: 0;
    transition: 0.5s;
    display: inline-block;
    margin: 20px 0px 0px;
}

.btn:hover {
    border-top-right-radius: 30px;
}


.hero .image {
    width: 50%;
    object-fit: cover;
    border-top-right-radius: 20%;
    border-bottom-left-radius: 20%;
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;

}




/* section about */

.about-us {
    padding: 70px 0;
    overflow: hidden;
    width: 100%;
}

.about-us .about-text {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;
}

.about-image {
    width: 50%;
}

.about-image img {
    width: 100%;
}

.abouttext-content {
    width: 50%;
    padding-left: 20px;
}

.about-text h2 {
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
    margin-bottom: 15px;
}
.abouttext-content p {
    
    font-size: 14px;
    color: #666;
    line-height: 25px;
    margin-bottom: 15px;
}

.aboutcontent {
    width: 100%;
    padding: 15px 0;
}

.aboutcontent ul {
    display: flex;
    justify-content: space-between;
    list-style: none;
}

.common {
    width: 30%;
    text-align: center;
}

.itemchart {
    position: relative;
    width: 100%;
}

.itemchart b {
    
    font-weight: 400;
    letter-spacing: 6.4px;
    font-size: 48px;
    color: #eb2ca6;
    opacity: 25%;
}

.itemchart span {
    position: absolute;
    top: 50%;
    left: 33%;
    transform: translate(-50%, -50%);
    font-size: 12px;
    letter-spacing: 2px;
    color: #000;
}

.abouttext-content .btn {
    padding: 15px 50px;
    font-size: 16px;
    border-radius: 30px;
    background-color: #eb2ca6;
    text-decoration: none;
    color: white;
    border-top-right-radius: 0;
    transition: 0.5s;
    display: inline-block;
}

.abouttext-content .btn:hover {
    border-top-right-radius: 30px;
}

/* steps section */

.steps {
    background-color: #f0f8ff;
    width: 100%;
    overflow: hidden;
    padding: 70px 0px;
}

.steps-top {
    padding-bottom: 30px;
}

.steps .steps-top h2 {
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
    text-align: center;
}

.steps .steps-top p {
    
    text-align: center;
    font-size: 16px;
}

.stepslist ul {
    display: flex;
    flex-wrap: wrap;
    list-style-type: none;
    gap: 20px;
    justify-content: space-between;
}

.stepslist li {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 25px 15px;
    width: calc(20% - 20px);
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.stepslist li:hover {
    transform: translateY(-10px);
    box-shadow: 0 12px 20px rgba(0, 0, 0, 0.15);
}

.stepslist img {
    width: 50px;
    height: 50px;
}

.stepslist .bx {
    
    position: absolute;
    left: 10px;
    top: 0;
    font-size: 70px;
    font-weight: 400;
    opacity: 25%;
    color: #eb2ca6;
}

.stepslist ul li p {
    
    font-size: 16px;
    margin-top: 20px;
    color: #666;
}


/* service */

.service {
    padding: 70px 0;
    overflow: hidden;
}

.sec-row {
    text-align: center;
    padding-bottom: 30px;
}

.sec-row h2 {
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.sec-row p {
    
    text-align: center;
    font-size: 16px;
}

.sec-col {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.card {
    padding: 25px 20px;
    border-radius: 10px;
    text-align: center;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.card:hover {
    transform: translateY(-10px);
}

.cardone {
    background-color: #fff;
}

.cardtwo {
    background-color: #cce6ff;
}

.icon-wrapper img {
    width: 60px;
    height: 60px;
}

.card h3 {
    
    font-size: 20px;
    margin: 20px 0;
}

.card p {
    
    font-size: 16px;
    color: #555;
    line-height: 28px;
    margin-bottom: 30px;
}

.card .button {
    background-color: #eb2ca6;
    color: #fff;
    padding: 12px 30px;
    text-decoration: none;
    border-radius: 5px;
    font-size: 16px;
    transition: 0.3s ease;
    display: inline-block;
}

.button:hover {
    background-color: #eb2ca6;
    border-top-right-radius: 30px;
    border-bottom-left-radius: 30px;
}

/* testimonial */

.testimonial {
    background-color: #f0f8ff;
    padding: 70px 0;
    overflow: hidden;
}

.testimonial-rowtop {
    text-align: center;
    padding-bottom: 30px;
}

.testimonial-rowtop h2 {
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.testimonial-rowtop p {
    
    font-size: 16px;
}

.slider-wrapper {
    width: 100%;
}

.slider-wrapper .owl-theme .item {
    background-color: #fff;
    padding: 10px 20px;
    text-align: center;
    border-radius: 10px;
}

.slider-wrapper .owl-theme .item .testi-avatar {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.slider-wrapper .owl-theme .item .testi-avatar img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    object-fit: cover;
}

.name h4 {
    letter-spacing: 1px;
    font-size: 16px;
    color: #333;
    margin-top: 10px;
}

.information p {
    
    font-size: 14px;
    color: #666;
    line-height: 24px;
    margin-top: 10px;
}

.owl-carousel .owl-nav.disabled {
    display: flex;
}

.owl-carousel .owl-nav {
    margin: 0;
    position: absolute;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
    z-index: 10;
    font-size: 20px;
    color: #eb2ca6;
}

.owl-carousel .owl-nav button.owl-prev {
    position: absolute;
    left: 0;
    transform: translateY(-50%);
}

.owl-carousel .owl-nav button.owl-next {
    position: absolute;
    right: 0;
    transform: translateY(-50%);
}

/* our team */

.ourteam {
    padding: 70px 0;
    overflow: hidden;
}

.ourteamcontent {
    text-align: center;
    padding-bottom: 50px;
}

.ourteamcontent h2 {
    position: relative;
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
}
.ourteamcontent p {
    
    font-size: 16px;
}

.ourparagraph p {
    
    font-size: 16px;
    color: #666;
    line-height: 25px;
    margin-bottom: 20px;
}

.ourteamimagecontent {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 100px;
}

.ourimage {
    position: relative;
    width: calc(25% - 20px);
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-top-left-radius: 40%;
    border-bottom-right-radius: 40%;
    border-top-right-radius: 0;
    border-bottom-left-radius: 0;
    overflow: hidden;
    transition: all 0.3s ease;
}

.ourimage:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
}

.ourteamimg {
    height: 350px;
    width: 100%;
    overflow: hidden;
}

.ourteamimg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 0.3s ease;
    object-position: top;
}

.ourteamimg img:hover {
    transform: scale(1.05);
}

.ourimage .ourcontainer {
    position: absolute;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.75);
    overflow: hidden;
    width: 100%;
    transition: 2s ease;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    opacity: 0;

}

.ourimage:hover .ourcontainer {
    opacity: 1;
    height: 30%;
}

.ourcontainer h2 {
    letter-spacing: 1px;
    font-size: 18px;
    color: #fff;
    margin-bottom: 10px;
    text-transform: capitalize;
}

.ourcontainer span {
    
    font-size: 12px;
    letter-spacing: 1px;
    color: #ccc;
    text-transform: uppercase;
    font-weight: 500;
}

/* gallery section */

.image-gallery-section {
    padding: 70px 0 0px;
    overflow: hidden;
    /* background-color: #f0f8ff; */
}

.gallerytop {
    padding-bottom: 30px;
    text-align: center;
}

.gallerytop h2 {
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.gallerytop p {
    
    font-size: 16px;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
}

.gallery-item {
    height: 450px;
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.gallery-item:hover {
    transform: scale(1.02);
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.2);
}

.gallery-item:hover img {
    transform: scale(1.1);
}

.gallery-item.small {
    width: 35%;
}

.gallery-item.large {
    width: 62%;
}

/* contact */

.contactus {
    width: 100%;
    overflow: hidden;
    padding: 70px 0;
}

.contact-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}


.contact-left {
    width: 50%;
    padding-right: 20px;
}

.contact-left h2 {
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.text {
    
    font-size: 16px;
    line-height: 22px;
}

.contact-left form {
    margin-top: 30px;
}

.inputbox {
    margin-bottom: 20px;
}

.inputbox input,
.inputbox textarea {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 5px;
    outline: none;
    background-color: #f0f8ff;
    
}

.inputbox input::placeholder,
.inputbox textarea::placeholder {
    font-size: 12px;
    color: black;
}

.inputbox textarea {
    resize: none;
    height: 150px;
}

.btn-submit {
    width: 100%;
    padding: 10px 20px;
    border-radius: 5px;
    border: none;
    font-size: 16px;
    color: #fff;
    background-color: #eb2ca6;
    cursor: pointer;
    transition: 0.5s ease-in;
}

.btn-submit:hover {
    background-color: #eb2ca6;
}

.contact-right {
    width: 50%;
}


/* footer */


.footer {
    background-color: #1a1a1a;
    color: #fff;
    padding: 70px 0 30px;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 0 auto;
}

.footer-column1 {
    width: 30%;
}

.footer-column1 p {
    
    font-size: 14px;
    line-height: 22px;
    margin-top: 10px;
}

.footer-column {
    padding-left: 10%;
}

.footer-column h3 {
    
    font-size: 18px;
    margin-bottom: 20px;
    text-transform: uppercase;
    color: #eb2ca6;
}

.footer-column ul {
    list-style-type: none;
}

.footer-column ul li {
    margin-bottom: 10px;
}

.footer-column ul li a {
    
    text-decoration: none;
    color: #fff;
    font-size: 14px;
    transition: color 0.3s;
}

.footer-column ul li a:hover {
    color: #eb2ca6;
}


.portfolio-links ul {
    list-style: none;
    padding: 0;
}

.portfolio-links ul li {
    margin-bottom: 10px;
}

.portfolio-links ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    transition: color 0.3s ease;
}

.portfolio-links ul li a:hover {
    color: #eb2ca6;
}


.social-icons {
    display: flex;
    gap: 15px;
}

.social-icon {
    background-color: #eb2ca6;
    padding: 10px;
    border-radius: 50%;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
}

.social-icon:hover {
    background-color: #eb2ca6;
}



.footer-bottom {
    text-align: center;
    margin-top: 30px;
    font-size: 14px;
    color: #ccc;
}

.footer-bottom p {
    
    margin: 0;
}
@media only screen and (max-width: 1024px) {
    .ourimage{
        width: calc(33% - 20px);
    }
}

@media only screen and (max-width: 991px) {

    /* header */

    .header {
        padding: 8px 0;
    }

    .navbar h1 {
        font-size: 28px;
    }

    .navbar span {
        font-size: 28px;
    }

    .navbaricon a {
        font-size: 12px;
    }

    .homecontent h1 {
        font-size: 40px;
    }

    /* hero */

    .hero {
        padding: 60px 0;
    }

    .content h1 span {
        font-size: 38px;
    }

    .content h1 {
        font-size: 38px;
    }

    .content p {
        font-size: 14px;
        margin: 10px 0 20px;
    }

    .btn {
        padding: 12px 40px;
    }


    /* about */

    .about-us {
        padding: 60px 0;
    }

    .about-text {
        justify-content: center;
    }

    .about-text h2 {
        font-size: 30px;
    }

    .abouttext-content .paragraph {
        font-size: 14px;
    }

    .abouttext-content p {
        font-size: 12px;
    }

    .itemchart b {
        font-size: 38px;
    }

    .itemchart span {
        font-size: 10px;
        letter-spacing: 1px;
    }

    .abouttext-content .btn {
        font-size: 14px;
        padding: 12px 40px;
    }

    /* steps */
    .steps {
        padding: 60px 0;
    }

    .steps h2 {
        font-size: 30px;
    }

    .steps p {
        font-size: 14px;
    }

    .stepslist ul {
        justify-content: center;
    }

    .stepslist li {
        width: calc(33.33% - 20px);
    }


    /* service */

    .service {
        padding: 60px 0;
    }

    .sec-row h2 {
        font-size: 30px;
    }

    .sec-row p {
        font-size: 14px;
    }

    .sec-col {
        grid-template-columns: repeat(2, 1fr);
    }


    /* testimonial */

    .testimonial {
        padding: 60px 0;
    }

    .testimonial-rowtop h2 {
        font-size: 30px;
    }

    .testimonial-rowtop p {
        font-size: 14px;
    }

    /* ourteam */

    .ourteam {
        padding: 60px 0;
    }

    .ourteamcontent h2 {
        font-size: 30px;
    }

    .ourparagraph p {
        font-size: 14px;
    }

    .ourteamimagecontent{
        gap: 50px;
    }

    .ourimage {
        width: calc(50% - 25px);
        border-top-left-radius: 30%;
        border-bottom-right-radius: 30%;
        border-top-right-radius: 0;
        border-bottom-left-radius: 0;
    }


    /* gallery section */


    .image-gallery-section {
        padding: 60px 0 0px;
    }

    .gallerytop h2 {
        font-size: 30px;
    }

    .gallerytop p {
        font-size: 14px;
    }

    .gallery {
        justify-content: center;
    }


    /* contact */

    .contactus {
        padding: 60px 0;
    }

    .contact-left h2 {
        font-size: 30px;
    }

    .text {
        font-size: 14px;
        line-height: 20px;
    }

    /* footer */

    .footer {
        padding: 60px 0;
    }

    .footer-container .footer-column1 {
        width: 50%;
    }

    .footer-container .footer-column {
        width: 50%;
    }

    .footer-container .footer-column1:nth-child(1) {
        order: 1;
    }

    .footer-container .footer-column:nth-child(2) {
        order: 3;
    }

    .footer-container .footer-column:nth-child(3) {
        order: 4;
    }

    .footer-container .footer-column:nth-child(4) {
        order: 2;
    }
}

@media only screen and (max-width: 767px) {

    .icons {
        display: inline-flex;
    }

    #check:checked~.icons #menubar {
        display: none;
    }

    .icons #closebar {
        display: none;
    }

    #check:checked~.icons #closebar {
        display: block;
    }

    .navbaricon {
        background-color: #fff;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 0;
        transition: .3s ease;
        overflow: hidden;
    }

    #check:checked~.navbaricon {
        height: 250px;
    }

    .navbaricon a {
        display: block;
        font-size: 16px;
        margin: 20px 0;
        text-align: center;
    }

    .navbar h1 {
        font-size: 24px;
    }

    .navbar span {
        font-size: 24px;
    }

    /* hero */
    .hero {
        padding: 50px 0;
    }

    .hero .flex {
        flex-direction: column-reverse;
    }

    .hero .content {
        width: 100%;
        padding-right: 0;
        text-align: center;
        margin-top: 20px;
    }

    .content h1 span {
        font-size: 28px;
    }

    .content h1 {
        font-size: 28px;
        text-align: center;
    }

    .content p {
        font-size: 12px;
        margin: 10px 0 15px;
        line-height: 22px;
    }

    .btn {
        font-size: 14px;
        padding: 12px 30px;
    }

    .hero .image {
        width: 100%;
        border-top-right-radius: 40%;
        border-bottom-left-radius: 40%;
        border-top-left-radius: 10px;
        border-bottom-right-radius: 10px;

    }

    /* about us */

    .about-us {
        padding: 50px 0;
    }

    .about-image {
        width: 100%;
    }

    .abouttext-content {
        width: 100%;
        text-align: center;
        padding-left: 0;
    }

    .about-text h2 {
        font-size: 24px;
    }

    .abouttext-content .paragraph {
        font-size: 12px;
    }

    .abouttext-content p {
        line-height: 22px;
    }

    .aboutcontent {
        padding: 10px 0;
    }

    .abouttext-content .btn {
        font-size: 14px;
        padding: 12px 30px;
    }

    /* steps */
    .steps {
        padding: 50px 0;
    }

    .steps .steps-top h2 {
        font-size: 28px;
    }

    .steps .steps-top p {
        font-size: 12px;
    }

    .stepslist li {
        width: 100%;
    }


    /* service */

    .service {
        padding: 50px 0;
    }

    .sec-row h2 {
        font-size: 28px;
    }

    .sec-row p {
        font-size: 12px;
    }

    .sec-col {
        grid-template-columns: 1fr;
    }

    .card {
        padding: 20px 15px;
    }


    /* testimonial */

    .testimonial {
        padding: 50px 0;
    }

    .testimonial-rowtop h2 {
        font-size: 28px;
    }

    .testimonial-rowtop p {
        font-size: 12px;
    }


    /* ourteam */

    .ourteam {
        padding: 50px 0;
    }

    .ourteamcontent h2 {
        font-size: 28px;
        width: 100%;
        text-align: center;
    }

    .ourteamcontent h2::after {
        all: unset;
    }

    .ourparagraph {
        width: 100%;
        text-align: center;
    }

    .ourparagraph p {
        font-size: 12px;
        line-height: 22px;
    }

    .ourteamimagecontent {
        align-items: center;
    }

    .ourteamimagecontent {
        gap: 20px;
    }

    .ourimage {
        width: calc(50% - 10px);
        height: 250px;
        border-top-left-radius: 20%;
        border-bottom-right-radius: 20%;
        border-top-right-radius: 0;
        border-bottom-left-radius: 0;
    }



    /* gallary */


    .image-gallery-section {
        padding: 50px 0 0px;
    }

    .gallerytop h2 {
        font-size: 28px;
    }

    .gallerytop p {
        font-size: 12px;
    }

    .gallery-item.small {
        width: 100%;
    }

    .gallery {
        justify-content: center;
    }

    .gallery-item.large {
        width: 100%;
    }

    /* contact */

    .contactus {
        padding: 50px 0;
    }

    .contact-container {
        flex-direction: column;
        align-items: center;
    }

    .contact-left,
    .contact-right {
        width: 100%;
        padding-right: 0;
        margin-bottom: 20px;
    }

    .contact-left h2 {
        font-size: 28px;
        letter-spacing: 2px;
    }

    .text {
        font-size: 12px;
        line-height: 18px;
    }

    /* footer */
    .footer {
        padding: 50px 0;
    }

    .footer-container {
        justify-content: center;
        text-align: center;
    }

    .footer-container .footer-column1 {
        width: 100%;
    }

    .footer-container .footer-column {
        width: 100%;
        padding-left: 0;
        margin-top: 20px;
    }

    .social-icons {
        justify-content: center;
    }

}